Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.context
Class GrailsConfigUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.context.GrailsConfigUtils

    public class GrailsConfigUtils

extends Object

A common class where shared configurational methods can reside.

Author:
  Graeme Rocher

Constructor Summary
`GrailsConfigUtils()`

Method Summary
`static void` | `configureServletContextAttributes(ServletContext servletContext, GrailsApplication application, GrailsPluginManager pluginManager, WebApplicationContext webContext)`
`static WebApplicationContext` | `configureWebApplicationContext(ServletContext servletContext, WebApplicationContext parent)`
`static GrailsRuntimeConfigurator` | `determineGrailsRuntimeConfiguratorFromServletContext(GrailsApplication application, ServletContext servletContext, ApplicationContext parent)`
`static void` | `executeGrailsBootstraps(GrailsApplication application, WebApplicationContext webContext, ServletContext servletContext)` Executes Grails bootstrap classes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsConfigUtils

    public GrailsConfigUtils()

Method Detail

### executeGrailsBootstraps

    public static void executeGrailsBootstraps(GrailsApplication application,
                                               WebApplicationContext webContext,
                                               ServletContext servletContext)

  Executes Grails bootstrap classes

  Parameters:
    `application` - The Grails ApplicationContext instance
    `webContext` - The WebApplicationContext instance
    `servletContext` - The ServletContext instance

### configureWebApplicationContext

    public static WebApplicationContext configureWebApplicationContext(ServletContext servletContext,
                                                                       WebApplicationContext parent)

### configureServletContextAttributes

    public static void configureServletContextAttributes(ServletContext servletContext,
                                                         GrailsApplication application,
                                                         GrailsPluginManager pluginManager,
                                                         WebApplicationContext webContext)

### determineGrailsRuntimeConfiguratorFromServletContext

    public static GrailsRuntimeConfigurator determineGrailsRuntimeConfiguratorFromServletContext(GrailsApplication application,
                                                                                                 ServletContext servletContext,
                                                                                                 ApplicationContext parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD